%define module	logutils

Name:		python-%{module}
Version:	0.3.3
Release:	%mkrel 1
Summary:	Logging utilities
Group:		Development/Python
License:	BSD
URL:		http://pypi.python.org/pypi/logutils
Source0:	https://pypi.python.org/packages/source/l/%{module}/%{module}-%{version}.tar.gz
BuildArch:	noarch

BuildRequires:	pkgconfig(python2)

%description
The logutils package provides a set of handlers for the Python standard
library's logging package.

Some of these handlers are out-of-scope for the standard library, and so
they are packaged here. Others are updated versions which have appeared in
recent Python releases, but are usable with older versions of Python and so
are packaged here.

%package -n	python3-%{module}
Summary:	Logging utilities
Group:		Development/Python
BuildArch:	noarch
BuildRequires:	pkgconfig(python3)

%description -n	python3-%{module}
The logutils package provides a set of handlers for the Python standard
library's logging package.

Some of these handlers are out-of-scope for the standard library, and so
they are packaged here. Others are updated versions which have appeared in
recent Python releases, but are usable with older versions of Python and so
are packaged here.
This is the Python 3 build of %{module}.

%prep
%setup -q -n %{module}-%{version}

# Remove bundled egg-info
rm -rf %{module}.egg-info

cp -a . %{py3dir}

%build
%py2_build

pushd %{py3dir}
%py3_build
popd

%install
%py2_install

pushd %{py3dir}
%py3_install
popd

%check
%define enable_tests_python2 1
%if %{enable_tests_python2}
%{__python2} setup.py test
%endif
%define enable_tests_python3 1
%if %{enable_tests_python3}
pushd %{py3dir}
%{__python3} setup.py test
popd
%endif

%files
%doc README.txt LICENSE.txt NEWS.txt doc/
%{python2_sitelib}/%{module}/
%{python2_sitelib}/%{module}-%{version}*

%files -n python3-%{module}
%doc README.txt LICENSE.txt NEWS.txt doc/
%{python3_sitelib}/%{module}/
%{python3_sitelib}/%{module}-%{version}-*


%changelog
* Sun Dec 20 2015 daviddavid <daviddavid> 0.3.3-1.mga6
+ Revision: 912453
- imported package python-logutils

